## pyvesync 3.1.2

=== requirements.txt ===
aiohttp>=3.8.1
mashumaro[orjson]>=3.13.1
python-dateutil>=2.8.1

## pyvesync 2.1.12

=== debian/changelog ===
pyvesync (2.1.12-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 07 Aug 2024 16:36:46 +0200

pyvesync (2.1.12-1) unstable; urgency=medium

  * Initial release. (Closes: #1077164)

 -- Edward Betts <edward@4angle.com>  Fri, 26 Jul 2024 17:36:38 +0900

=== debian/control ===
Source: pyvesync
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-yaml <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/webdjoe/pyvesync
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyvesync
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyvesync.git

Package: python3-pyvesync
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Library to manage VeSync compatible smart home devices
 The pyvesync library allows for management of various smart home devices using
 the VeSync app, such as Etekcity Outlets, Wall Switches, and Levoit Air
 Purifiers. It provides an interface to control device functions, retrieve
 device statuses, and update configurations. This includes turning devices on
 and off, adjusting brightness, setting timers, and updating energy consumption
 statistics. Pyvesync supports functionalities specific to each device type,
 facilitating detailed control and monitoring.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyvesync
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyvesync.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-yaml, @

## pyvesync 2.1.18

=== debian/changelog ===
pyvesync (2.1.18-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Wed, 19 Feb 2025 06:46:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: pyvesync
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               python3-all,
-               python3-pytest <!nocheck>,
-               python3-pytest-cov <!nocheck>,
-               python3-requests <!nocheck>,
-               python3-setuptools,
-               python3-yaml <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-setuptools,
+Build-Depends-Indep:
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-requests <!nocheck>,
+ python3-yaml <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/webdjoe/pyvesync
@@ -19,7 +22,9 @@
 
 Package: python3-pyvesync
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Library to manage VeSync compatible smart home devices
  The pyvesync library allows for management of various smart home devices using
  the VeSync app, such as Etekcity Outlets, Wall Switches, and Levoit Air

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-yaml,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyvesync-$1\.tar\.gz/ \
  https://github.com/webdjoe/pyvesync/tags .*/v?(\d\S+)\.tar\.gz

## pyvesync 3.1.0

=== debian/changelog ===
pyvesync (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new build dependencies from upstream.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sun, 05 Oct 2025 08:35:31 +0100

## pyvesync 3.1.2

=== debian/changelog ===
pyvesync (3.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Oct 2025 09:56:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,22 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
+ python3-aiohttp <!nocheck>,
+ python3-mashumaro <!nocheck>,
+ python3-orjson <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-requests <!nocheck>,
  python3-yaml <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/webdjoe/pyvesync
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyvesync
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyvesync.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyvesync
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: webdjoe
Project: pyvesync

## pyvesync 3.2.1

=== debian/changelog ===
pyvesync (3.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 10 Nov 2025 14:46:20 +0000

pyvesync (3.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 02 Nov 2025 12:23:38 +0000

## pyvesync 3.3.3

=== debian/changelog ===
pyvesync (3.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 21 Dec 2025 20:35:30 +0000

pyvesync (3.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 14 Nov 2025 06:57:13 +0000

## pyvesync 3.4.0

=== debian/changelog ===
pyvesync (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 11 Jan 2026 06:21:26 +0000

## pyvesync 3.4.1

=== debian/changelog ===
pyvesync (3.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 23 Jan 2026 09:34:49 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -18,7 +17,7 @@
  python3-pytest-cov <!nocheck>,
  python3-requests <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/webdjoe/pyvesync
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyvesync
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyvesync.git
